Subject: Re: [PATCH] Make gc a builtin.

From: Theodore Tso <[email-masked]>
Date: Wed, 14 Mar 2007 03:44:40 -0400

On Wed, Mar 14, 2007 at 12:19:07AM -0700, Junio C Hamano wrote:
> >> -test "true" != "$pack_refs" ||
> >> -git-pack-refs --prune &&
> >> -git-reflog expire --all &&
> >> -git-repack -a -d -l &&
> >> ...
> 
> I do not necessarily think so.  This is not even a performance
> critical part of the system, so if there _were_ no other
> constraints, I would rather keep scripts like this as scripts.

I agree with Junio; I think the scripts are much more readable and
easier to understand; In fact, it would be nice if the script were
preserved somewhere, perhaps as comments in the .c file.

						- Ted